unit DemoUnit1;

interface

uses
  OrImage,
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtDlgs, Buttons, ExtCtrls,

  jpeg, rxGif;  //        
                //    : *.bmp, *.wmf, *.ico
                //type additional grafic format units

type
  TForm1 = class(TForm)
    OpenPictureDialog1: TOpenPictureDialog;
    OrImage1: TOrImage;
    Panel1: TPanel;
    ButtonLoad: TButton;
    ButtonSave: TButton;
    ButtonEffects: TButton;
    SavePictureDialog1: TSavePictureDialog;
    procedure ButtonLoadClick(Sender: TObject);
    procedure ButtonSaveClick(Sender: TObject);
    procedure ButtonEffectsClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
    procedure SetFormSize;
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

uses OrImageEditor;


procedure TForm1.SetFormSize;
begin
  Form1.Width:=OrImage1.Width+4;
  Form1.Height:=OrImage1.Height+Panel1.Height+30;
  OrImage1.Left:=(Form1.Width-OrImage1.Width-4)div 2;
end;

procedure TForm1.ButtonLoadClick(Sender: TObject);
begin
  if OpenPictureDialog1.Execute then
  begin  //    -  //Original bitmap
    OrImage1.PictureOriginal.LoadFromFile(OpenPictureDialog1.FileName);
    SetFormSize;
  end;
end;

procedure TForm1.ButtonSaveClick(Sender: TObject);
begin
  if OrImage1.Picture.Graphic<>nil then  //Result bitmap
    if SavePictureDialog1.Execute then OrImage1.Picture.SaveToFile(SavePictureDialog1.FileName);
end;

procedure TForm1.ButtonEffectsClick(Sender: TObject);
var
    FormOrImageEditor: TFormOrImageEditor;

    FBrightness: Integer;
    FContrast: Integer;
    FGrayScale: Boolean;
    FLightness: Integer;
    FDarkness: Integer;
    FSaturation: Integer;
    FSplitlight: Integer;
    FInvert: Boolean;
    FColorNoise: Integer;
    FMonoNoise: Integer;
    FPosterize: Integer;
    FSolorize: Integer;
    FEmboss: Boolean;
    FMosaic: Integer;
    FSplitBlur: Integer;
    FGaussianBlur: Integer;
    FAntiAlias: Integer;
    FTrace: Integer;
    FTile: Integer;
begin
  with OrImage1 do
  begin
    FBrightness:=PicBrightness;
    FContrast:=PicContrast;
    FGrayScale:=PicGrayScale;
    FLightness:=PicLightness;
    FDarkness:=PicDarkness;
    FSaturation:=PicSaturation;
    FSplitlight:=PicSplitlight;
    FInvert:=PicInvert;
    FColorNoise:=PicColorNoise;
    FMonoNoise:=PicMonoNoise;
    FPosterize:=PicPosterize;
    FSolorize:=PicSolorize;
    FEmboss:=PicEmboss;
    FMosaic:=PicMosaic;
    FSplitBlur:=PicSplitBlur;
    FGaussianBlur:=PicGaussianBlur;
    FAntiAlias:=PicAntiAlias;
    FTrace:=PicTrace;
    FTile:=PicTile;
  end;
  FormOrImageEditor:=TFormOrImageEditor.Create(nil);
  try
    FormOrImageEditor.OrImage:=OrImage1;
    if FormOrImageEditor.ShowModal<>mrOk then
  with OrImage1 do
  begin
    PicBrightness:=FBrightness;
    PicContrast:=FContrast;
    PicGrayScale:=FGrayScale;
    PicLightness:=FLightness;
    PicDarkness:=FDarkness;
    PicSaturation:=FSaturation;
    PicSplitlight:=FSplitlight;
    PicInvert:=FInvert;
    PicColorNoise:=FColorNoise;
    PicMonoNoise:=FMonoNoise;
    PicPosterize:=FPosterize;
    PicSolorize:=FSolorize;
    PicEmboss:=FEmboss;
    PicMosaic:=FMosaic;
    PicSplitBlur:=FSplitBlur;
    PicGaussianBlur:=FGaussianBlur;
    PicAntiAlias:=FAntiAlias;
    PicTrace:=FTrace;
    PicTile:=FTile;
  end;
  finally
    FormOrImageEditor.Free;
  end;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  SetFormSize;
end;

end.
